Subject: [Sigtran] FW: Address Indicator - SUA rfc 3868

From: "JEYASEELAN Samuel Durairaj" <[email-masked]>
Date: Fri, 3 Apr 2009 18:48:42 -0500

forwarding to sigtran mailing list....

Thanks & Regards
Samuel

-----Original Message-----
From: [email-masked] on behalf of JEYASEELAN Samuel Durairaj
Sent: Fri 4/3/2009 6:07 PM
To: [email-masked]
Subject: Address Indicator - SUA rfc 3868
 
Hi,
When the CLDT is sent from the SG to ASP, what is the value of the Address Indicator ?

 1.SG receives a SCCP message with cdpa_ri=RT_ON_PC_SSN,SPC_indicator=1 and SSN_indicator=1.

   while building the CLDT message, the SG sets the bit 1 to "INCLUDE SSN" and bit 2 to "Include PC"
   Is this right?

 2.SG receives a SCCP message with cdpa_ri=RT_ON_PC_SSN,SPC_indicator=0 and SSN_indicator=1.

   while building the CLDT message, the SG sets the bit 1 to "INCLUDE SSN" and bit 2 to "Do not include PC, regardless of the RI"
   Is this right?

 3.SG receives a SCCP message with cdpa_ri=RT_ON_PC_SSN,SPC_indicator=1 and SSN_indicator=0.

   while building the CLDT message, the SG sets the bit 1 to "Do not include SSN when optional" and bit 2 to "Include PC"
   Is this right?

I am searching in the archive, but unable to find the mails related to this topic.

I would appreciate your reply.

Thanks & Regards
Samuel

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Sat, 4 Apr 2009 20:26:09 -0600

JEYASEELAN,

RFC 3868 Page 76:

3.10.2.2.  Address Indicator

   This parameter is needed for interworking with SS7 networks.  The
   address indicator specifies what address parameters are actually
   received in the SCCP address from the SS7 network, or are to be
   populated in the SCCP address when the message is sent into the SS7
   network.  ...

The bit values reflect the values actually received in the SCCP
called or calling party address, as you deduce below.  It is more
complicated in the other direction.

--brian

JEYASEELAN Samuel Durairaj wrote:        (Fri, 03 Apr 2009 18:48:42)
>     1.SG receives a SCCP message with
>    cdpa_ri=RT_ON_PC_SSN,SPC_indicator=1 and SSN_indicator=1.
>     2.SG receives a SCCP message with
>    cdpa_ri=RT_ON_PC_SSN,SPC_indicator=0 and SSN_indicator=1.
>       while building the CLDT message, the SG sets the bit 1 to "INCLUDE
>    SSN" and bit 2 to "Do not include PC, regardless of the RI"
>       Is this right?
>     3.SG receives a SCCP message with
>    cdpa_ri=RT_ON_PC_SSN,SPC_indicator=1 and SSN_indicator=0.
>       while building the CLDT message, the SG sets the bit 1 to "Do not
>    include SSN when optional" and bit 2 to "Include PC"
>       Is this right?

Content-Description: ATT1645631.txt
> _______________________________________________
> Ietf mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ietf

> _______________________________________________
> Sigtran mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/sigtran

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Sun, 5 Apr 2009 18:01:05 -0600

JEYASEELAN,

I think that the first two paragraphs of section 3.10.2.2 are quite
clear on the use of bit 2.

--brian

JEYASEELAN Samuel Durairaj wrote:        (Sun, 05 Apr 2009 16:24:14)
> 
>    Brian,
>    I had sent the prev mail after reading the section 3.10.2.2.
>    PC and SSN in the cdpa/cgpa is based on the SPC_indicator and
>    SSN_indicator.
> 
>    But the rfc says "Do not include PC, regardless of the routing
>    indicator value",
>    what is reason to say "regardless of the routing indicator value"?
>    when would the ASP build the CLDT message with AI "Do not include PC,
>    regardless of the routing indicator value" ? and Is there any reason
>    for that ?
> 
>    but
> 
>    Thanks & Regards
>    Samuel

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: "JEYASEELAN Samuel Durairaj" <[email-masked]>
Date: Sun, 5 Apr 2009 16:24:14 -0500

Brian,
I had sent the prev mail after reading the section 3.10.2.2.
PC and SSN in the cdpa/cgpa is based on the SPC_indicator and SSN_indicator.
 
But the rfc says "Do not include PC, regardless of the routing indicator value",
what is reason to say "regardless of the routing indicator value"? when would the ASP build the CLDT message with AI "Do not include PC, regardless of the routing indicator value" ? and Is there any reason for that ?
 
but 
 
Thanks & Regards
Samuel

________________________________

From: Brian F. G. Bidulock [mailto:[email-masked]]
Sent: Sat 4/4/2009 9:26 PM
To: JEYASEELAN Samuel Durairaj
Cc: [email-masked]
Subject: Re: [Sigtran] FW: Address Indicator - SUA rfc 3868

JEYASEELAN,

RFC 3868 Page 76:

--brian

>    SSN" and bit 2 to "Include PC"
>       Is this right?

--
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/